experiments.droneControl

## Class Chat_ClientServeur

- java.lang.Object
- - experiments.droneControl.Chat_ClientServeur

All Implemented Interfaces:
  java.lang.Runnable

    public class Chat_ClientServeur
    extends java.lang.Object
    implements java.lang.Runnable

The Class Chat_ClientServeur.

### Field Summary

Fields
`AMOEBA` `amoebaVX` The amoeba VX.
`AMOEBA` `amoebaVZ` The amoeba VZ.
`AMOEBA` `amoebaX` The amoeba X.
`AMOEBA` `amoebaY` The amoeba Y.
`AMOEBA` `amoebaZ` The amoeba Z.
`ControlModel` `controlModelHc` The control model hc.
`ControlModel` `controlModelUc` The control model uc.
`ControlModel` `controlModelVc` The control model vc.
`static boolean` `linksOn` The Constant linksOn.
`static boolean` `verboseriticity` The Constant verboseriticity.
`static boolean` `viewer` The Constant viewer.

### Constructor Summary

Constructors
Constructor and Description
`Chat_ClientServeur(java.net.ServerSocket ss, java.net.Socket s)` Instantiates a new chat client serveur.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.HashMap<java.lang.String,java.lang.Double>` `getOutput(java.lang.String message, java.lang.String arg, int chanel)` Gets the output.
`java.util.HashMap<java.lang.String,java.lang.Double>` `getOutputEndogenous(java.lang.String message, java.lang.String action)` Gets the output endogenous.
`java.util.HashMap<java.lang.String,java.lang.Double>` `getOutputGoal(java.lang.String message, int chanel)` Gets the output goal.
`java.util.HashMap<java.lang.String,java.lang.Double>` `getOutputGoalEF(java.lang.String message, java.lang.String action)` Gets the output goal EF.
`void` `run()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### viewer

    public static final boolean viewer

The Constant viewer.

See Also:
  Constant Field Values

#### verboseriticity

    public static final boolean verboseriticity

The Constant verboseriticity.

See Also:
  Constant Field Values

#### linksOn

    public static final boolean linksOn

The Constant linksOn.

See Also:
  Constant Field Values

#### amoebaX

    public AMOEBA amoebaX

The amoeba X.

#### amoebaY

    public AMOEBA amoebaY

The amoeba Y.

#### amoebaZ

    public AMOEBA amoebaZ

The amoeba Z.

#### amoebaVX

    public AMOEBA amoebaVX

The amoeba VX.

#### amoebaVZ

    public AMOEBA amoebaVZ

The amoeba VZ.

#### controlModelVc

    public ControlModel controlModelVc

The control model vc.

#### controlModelHc

    public ControlModel controlModelHc

The control model hc.

#### controlModelUc

    public ControlModel controlModelUc

The control model uc.

### Constructor Detail

#### Chat_ClientServeur

    public Chat_ClientServeur(java.net.ServerSocket ss,
                              java.net.Socket s)

Instantiates a new chat client serveur.

Parameters:
  `ss` - the ss
  `s` - the s

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`

#### getOutput

    public java.util.HashMap<java.lang.String,java.lang.Double> getOutput(java.lang.String message,
                                                                          java.lang.String arg,
                                                                          int chanel)

Gets the output.

Parameters:
  `message` - the message
  `arg` - the arg
  `chanel` - the chanel
Returns:
  the output

#### getOutputGoal

    public java.util.HashMap<java.lang.String,java.lang.Double> getOutputGoal(java.lang.String message,
                                                                              int chanel)

Gets the output goal.

Parameters:
  `message` - the message
  `chanel` - the chanel
Returns:
  the output goal

#### getOutputGoalEF

    public java.util.HashMap<java.lang.String,java.lang.Double> getOutputGoalEF(java.lang.String message,
                                                                                java.lang.String action)

Gets the output goal EF.

Parameters:
  `message` - the message
  `action` - the action
Returns:
  the output goal EF

#### getOutputEndogenous

    public java.util.HashMap<java.lang.String,java.lang.Double> getOutputEndogenous(java.lang.String message,
                                                                                    java.lang.String action)

Gets the output endogenous.

Parameters:
  `message` - the message
  `action` - the action
Returns:
  the output endogenous